"""
Identifier:     csst_common/__init__.py
Name:           __init__.py
Description:    csst_common package
Author:         Bo Zhang
Created:        2022-09-21
Modified-History:
    2022-09-21, Bo Zhang, created
    2023-09-22, Bo Zhang, updates
    2023-12-15, Bo Zhang, add module header
"""

from .decorator import parameterized_module_decorator
from .file import File
from .pipeline import Pipeline
from .status import CsstResult, CsstStatus

__version__ = "0.0.2"

__all__ = ["Pipeline", "File", "CsstResult"]
